Subject: Re: [PATCH v6 2/7] dma: avoid redundant calls for sync operations

From: Christoph Hellwig <[email-masked]>
Date: Thu, 9 May 2024 15:49:24 +0200

On Thu, May 09, 2024 at 02:43:52PM +0100, Steven Price wrote:
> The specific drivers are "rockchip-drm" and "rk_gmac-dwmac". Is it a
> requirement that all drivers engaging in DMA should call dma_set_mask()
> - and therefore this has uncovered a bug in those drivers. Or is the
> assumption that all drivers call dma_set_mask() faulty?

That was the assumption behind the code, but the assumption is wrong.
Alex is working on a fix.